@font-face {
	font-family: "Frutiger";
	src: url('./fonts/FTLC.ttf')
}

@font-face {
	font-family: "FrutigerBOLD";
	src: url('./fonts/FTB.ttf')
}

* {
	--darkColor: rgb(30,30,30); 
}

body {
	margin: 0;
	background-color: rgb(230, 230, 230);
	font-family: Frutiger, Helvetica, Arial;
	max-height: 100vh;
	color: var(--darkColor);
}

svg {
	background-color: #c8dbe5;
}

#chartContainer{
	position: sticky; /* keep chart in-place during scroll */
	top: 0;
}

#interactiveMapCover{
	position: absolute;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	background-color: rgba(255, 255, 255, 0);
}

.text-container {
    z-index: 12;
	top: 0vh;
    position: sticky;
	padding-top: 30vh;
	padding-bottom: 15vh;
	margin-top: -100vh;
	background-color: rgba(255, 255, 255, 0);
}

h1, p{
	text-align: center;
}

h1 {
	font-size: calc(16px + 0.8vw);
}
p {
	font-size: calc(12px + 0.8vw);
}
#info p {
	font-size: calc(12px + 0.5vw);
}
.small {
	font-size: calc(12px + 0.3vw);
}

span{
	padding: 0 3px 0 3px;
    border-radius: 15px;
	color: white;
}

.step{
    display: block;
    width: min(900px, 70vw);
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 60vh;
    /* margin: 0 15vw 50vh 15vw; */
    padding: calc(0.5vw);
    background: rgba(255, 255, 255, 0.8);
    border: 1px solid var(--darkColor);
	border-radius: 20px;
}

.step p {
    margin-left: 10px;
    margin-right: 10px;
}

.scrolly-container {
    padding-bottom: 0;
    margin-bottom: 0;
    margin-top: 0;
	/* overflow-y: hidden; */
}

#hideStoryBtn{
	display: inline-block;
	position: relative;
	left: 50%;
	transform: translateX(-50%);
	background-color: rgb(255, 229, 80);
	font-size: min(calc(16px + 2vw),35px);
}

#ridershipBtn{
	transition-duration: 0.3s;
}

.selectedBtn{
	background-color: #ed1c24;
	color: #eeeeee;
}

#about {
	position: absolute;
	z-index: 9;
	background-color: #eeeeeee1;
	left: 50%;
	top: 50%;
	transform: translateX(-50%) translateY(-50%);
	width: 50vw;
	padding: 1vw;
	max-height: 95vh;
	overflow-y: scroll;
	border-radius: 30px;
	border: 2px solid var(--darkColor);
	text-align: center;
}

#californiaMap {
	width: 100vw;
	height: 100vh;
	/* aspect-ratio: 1.5; */
	max-height: 100vh;
}

#info {
	position: absolute;
	top: 20px;
	right: 20px;
	max-width: 30vw;
}

#legend {
	position: absolute;
	/* max-width: 20vw; */
	top: 20px;
	left: 20px;
}

.overlayBox {
	background-color: #eeeeee;
	border: 2px solid #015e83;
	border-radius: 5px;
}

table {
	border-collapse: collapse;
}

.ridershipTable{
	margin-left: auto;
	margin-right: auto;
	border: 1px solid var(--darkColor);
	text-align: center;
}

.airplaneIcon {
	width: 100%;
	height: 100%;
}

.legendSquare {
	display: inline-block;
	--size: calc(22px + 0.1vw);
	width: var(--size);
	height: var(--size);
	aspect-ratio: 1;
	color: white;
	text-align: center;
	font-size: calc(16px + 0.1vw);
	font-family: FrutigerBOLD;
}

b {
	font-family: FrutigerBOLD;
}

tr {
	border: none;
	padding: 5px;
}

#ridershipChart {
	max-width: min(100%, 650px);
	margin-left: auto;
	margin-right: auto;
	aspect-ratio: 1.5;
}

tr:hover td:not(.shadedRow td){
	background-color: #dddddd;
}

.train_lines {
	transition-duration: 0.3s;
}

td {
	padding: 4px;
}

.legendLabel {
	font-family: FrutigerBOLD;
	display: inline-block;
	font-size: calc(16px + 0.1vw);
	margin-top: 0;
	margin-bottom: 0;
	font-weight: bold;
}

.legendDest {
	font-size: calc(16px + 0.1vw);
}

button {
	background: none;
	border: 1px solid var(--darkColor);
	border-radius: 5px;
}

.hidden {
	opacity: 0 !important;
}

.shadedRow {
	font-family: FrutigerBOLD;
	color: white;
	font-size: calc(16px + 0.1vw);
	background-color: #015e83;
}

.stationLabel {
	font-size: 12px;
	text-anchor: middle;
	dominant-baseline: middle;
	transition-duration: 0.3s;
}

.station {
	fill: #eeeeee;
	stroke: var(--darkColor);
	stroke-width: 1;
	transition-duration: 0.3s;
}

.downArrow{
	width: 20px;
}

.moving{
	animation-name: upDown;
	animation-duration: 0.5s;
  	animation-iteration-count: infinite;
	animation-direction: alternate;
}

@keyframes upDown {
  from {
	margin-top: 0;
  }
  to {
	margin-top: 10px;
  }
}


.closing{
	fill: red;
	font-size: 20px;
}
.warning {
	fill: orange;
	font-size: 20px;
}

#author{
	position: absolute;
	bottom: 20px;
	left: 20px;
	color: steelblue;
	font-family: Helvetica;
	z-index: 15;
}

a{
	color: blue;
}

.ridershipBubble {
	fill: rgb(255, 0, 115);
	opacity: 0.3;
	transition-duration: 0.3s;
}

.regionText {
	font-family: FrutigerBOLD;
	fill: #1382b6;
	font-size: 18px;
	text-anchor: middle;
	dominant-baseline: middle;
}

.showOnMobile{
	display: none;
}

@media (max-width: 800px) {
	#legend {
		top: 4px;
		left: 4px;
	}

	.hideOnMobile{
		display: none;
	}
	.showOnMobile{
		display: inline-block;
	}

	#about {
		width: 90vw;
	}
	#info {
		top: 4px;
		right: 4px;
	}

	.legendSquare {
		--size: calc(12px + 0.1vw);
		width: var(--size);
		font-size: calc(8px + 0.1vw);
	}

	.legendLabel,
	.shadedRow,
	.legendDest {
		font-size: calc(10px + 0.1vw);
	}

	tr {
		padding: 1px;
	}

	td {
		padding: 1px;
	}

	#info * {
		margin: 0 1px 0 1px;
	}
}